Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class NavigateActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.NavigateActionGroup

public class NavigateActionGroup
extends ActionGroup

Action group that adds the open and show actions to a context menu and the action bar's navigate menu. This action group reuses the `OpenEditorActionGroup` and `OpenViewActionGroup`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`NavigateActionGroup(IViewPart part)` Creates a new `NavigateActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBars)`
`void` | `fillContextMenu(IMenuManager menu)`
`IAction` | `getOpenAction()` Returns the open action managed by this action group.
`void` | `setContext(ActionContext context)`
`void` | `updateActionBars()`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigateActionGroup

    public NavigateActionGroup(IViewPart part)

  Creates a new `NavigateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

Method Detail

### getOpenAction

    public IAction getOpenAction()

  Returns the open action managed by this action group.

  Returns:
    the open action. Returns `null` if the group doesn't provide any open action

### dispose

    public void dispose()

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

### setContext

    public void setContext(ActionContext context)

### updateActionBars

    public void updateActionBars()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.